package com.muyu.resource.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.domain
 * @Project：cloud-resource
 * @name：ResourceInfo
 * @Date：2024/8/10 10:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResourceInfo {
//@Excel(name = "序号")
private String    id;
//@Excel(name = "荐购id")
private String   recommendId;
@Excel(name = "*题名")
private String   title;
//@Excel(name = "只用来查重，格式化题名")
private String   titleFormat;
@Excel(name = "题名译名")
private String   otherTitle;
//@Excel(name = "分辑号 - 预留")
private String   seriesNumber;
//@Excel(name = "分辑名")
private String   seriesTitle;
@Excel(name = "PISSN")
private String   pissn;
@Excel(name = "EISSN")
private String   eissn;
@Excel(name = "PISBN")
private String   pisbn;
@Excel(name = "EISBN")
private String   eisbn;
@Excel(name = "订购号")
private String   orderNumber;
//@Excel(name = "学科")
private String   subject;
//@Excel(name = "出版社")
private String   publisher;
@Excel(name = "国家/地区")
private String   country;
//@Excel(name = "出版年")
private String   pubYear;
//@Excel(name = "创刊年")
private String   foundedYear;
@Excel(name = "语种")
private String   language;
//@Excel(name = "出版频率")
private String   pubFeq;
//@Excel(name = "内容简介")
private String   Intro;
//@Excel(name = "分类号")
private String   classiNumber;
//@Excel(name = "期刊URL地址")
private String   url;
private String   carrier;
private String   type;
private String   pubPattern;
private String   pubStatus;
private String   price;
private String   currency;
private String   OA;
private String   sysTime;
private String   sysUserId;
private String   organId;
private String   orderStatus;
private String   distributionStatus;
private String   reviewStatus;
private String   updReviewStatus;
private String   totalScore;
private String   factor;
private String   note;
private String   inlet;
private String   oldId;
private String   systemId;
private String   resVol;
}
